Subject: [PATCH] omap: Fix DEBUG_LL uart to access phys addr when MMU isn't enable

From: [email-masked] (Tony Lindgren)
Date: Wed, 4 Aug 2010 08:28:38 +0300

* Russell King - ARM Linux <[email-masked]> [100803 22:40]:
> On Tue, Aug 03, 2010 at 03:38:29PM +0300, Tony Lindgren wrote:
> > * Russell King - ARM Linux <[email-masked]> [100803 10:18]:
> > > On Tue, Aug 03, 2010 at 03:11:41PM +0800, Eric Miao wrote:
> > > > We also need to take care of Jeremy's recent patchset to remove
> > > > .io_pg_offst and .phys_io, which modifies all the addruart macros.
> > > 
> > > I don't think Jeremy's patches will be going in for this merge window as
> > > we can't intentionally break OMAP's support because we don't understand
> > > OMAP.  I think Jeremy's patches will have to wait for the next merge
> > > window now.
> > 
> > Well now we understand there's a bug.. Here's what's needed to make
> > Jason's fix to work on Jeremy's mdesc series.
> 
> That's not quite the point - Jeremy's patches with working OMAP support
> haven't been tested in linux-next, and so hasn't had visibility to the
> wider community, and so it shouldn't be going into the current merge
> window.

OK. It's best to test them properly. I'll add Jason's original fix
into omap-for-linus then for this merge window.

Tony